8 Replies Latest reply: Jan 30, 2013 4:37 PM by MichelPM
PaulTanabe Level 1 Level 1 (0 points)

I have a Power Mac G5, Dual-core 2.3Ghz processor (not intel) running version 10.4.11.  I would like to up-grade to 10.6.

I understand that if I install retailed DVD Snow Leopard (10.6), I can down load the Leopard (10.5).  I am not able to install

the retailed Snow Leopard.  Is it because my computer does not have the intel processor?  What can I do.


PowerMac, Mac OS X (10.4.11)